phpmyadmin,neginx error.log – 检查组www-data有读权限和open_basedir

我在phpmyadmin网站上有这个消息

phpMyAdminconfiguration存储没有完全configuration,一些扩展function已被禁用。 找出为什么点击这里。

在“点击这里”页面我有这个: 页面打印屏幕

我的nginx错误是:

2014/06/27 15:08:15 [error] 4922#0: *886 FastCGI sent in stderr: "PHP message: phpmyadmin: Failed to load /var/lib/phpmyadmin/blowfish_secret.inc.php Check group www-data has read access and open_basedir restrictions. PHP message: phpmyadmin: Failed to load /var/lib/phpmyadmin/config.inc.php Check group www-data has read access and open_basedir restrictions.2014/06/27 15:17:07 [error] 5119#0: *939 FastCGI sent in stderr: "PHP message: phpmyadmin: Failed to load /var/lib/phpmyadmin/blowfish_secret.inc.php Check group www-data has read access and open_basedir restrictions. PHP message: phpmyadmin: Failed to load /var/lib/phpmyadmin/config.inc.php Check group www-data has read access and open_basedir restrictions" while reading response header from upstream, client: 1***, server: _, request: "GET /phpmyadmin/js/messages.php?lang=en&db=&token=**** HTTP/1.1", upstream: "fastcgi://unix:/var/lib/php5-fpm/ispconfig.sock:", host: "****:8080", referrer: "https://****:8080/phpmyadmin/chk_rel.php?db=&table=&server=1&target=&token=****" 

我给他们这个cmd所有3个文件的权限:

 chgrp www-data /var/lib/phpmyadmin/blowfish_secret.inc.php chmod 644 /var/lib/phpmyadmin/blowfish_secret.inc.php 

如何解决open_basedir限制?

我检查了谷歌,但没有find任何东西。 请给我一些帮助或提示如何解决它。 谢谢!

Ubuntu版本:

 DISTRIB_ID=Ubuntu DISTRIB_RELEASE=14.04 DISTRIB_CODENAME=trusty DISTRIB_DESCRIPTION="Ubuntu 14.04 LTS" 

Solutions Collecting From Web of "phpmyadmin,neginx error.log – 检查组www-data有读权限和open_basedir"

这是我的配置:

 drwxr-xr-x 3 root root 4096 feb 14 10:05 phpmyadmin/ 

这是文件夹。 对于这两个文件:

 -rw-r----- 1 root www-data 60 feb 14 10:05 blowfish_secret.inc.php -rw-r----- 1 root www-data 0 feb 14 10:05 config.inc.php 

希望这会有所帮助。 另外检查php5-mcrypt扩展名。 如果工作不正常,请使用

 sudo php5enmod mcrypt 

安装它,然后重新启动ngnix。 这里是命令:

 chmod 755 /var/lib/phpmyadmin chmod 664 /var/lib/blowfish_secret.inc.php chmod 664 /var/lib/config.inc.php 

这些命令应该工作。 🙂